### Method

# FwupdPlugin Firmware set_version_raw

since: 1.5.7

#### Declaration [src]

    void
    fu_firmware_set_version_raw (
      FuFirmware* self,
      guint64 version_raw
    )

#### Description [src]

Sets an raw version that represents the firmware.

This is optional, and is typically only used for debugging.

Available since: 1.5.7

#### Parameters

`version_raw`

  Type: `guint64`

  A raw version, or `G_MAXUINT64` for invalid.